# Generated by Django 4.1.3 on 2022-12-02 06:07

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('discussion_app', '0008_discussiontype_alter_discussion_type'),
    ]

    operations = [
        migrations.CreateModel(
            name='DiscussionCategory',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=150, verbose_name='Category of discussion')),
            ],
            options={
                'verbose_name': 'Discussion category',
                'verbose_name_plural': 'Discussion categories',
            },
        ),
        migrations.AlterField(
            model_name='discussion',
            name='type',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='place', to='discussion_app.discussiontype', verbose_name='Type of discussion'),
        ),
        migrations.AlterField(
            model_name='discussion',
            name='category',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='place', to='discussion_app.discussioncategory', verbose_name='Category of discussion'),
        ),
    ]
